pgAdmin on OpenSUSE problem

Hello All.

I’m having this output from pgAdmin 4 running on OpenSUSE:

Error retrieving properties - Databases 

'psycopg2.extensions.Column' object has no attribute '_asdict'

It’s there any solution to this problem?

Checking YAST I found I have installed:

python3-psycopg2 - A PostgreSQL database adapter for Python 3

|Versión alternativa
|
|Versión instalada
|
|2.9.3-1.sles15
|2.9.3-1.sles15
|
|mié 05 ene 2022 16:37:37
|mié 05 ene 2022 16:37:37
|
||jue 15 sep 2022 09:49:43
|
|LGPLv3+ with exceptions
|LGPLv3+ with exceptions
|
|1,4 MiB
|1,4 MiB
|
|323,1 KiB
|0 B
|
|||
|||
|||
|x86_64
|x86_64
|
|koji-sles15-x86-64-pgdg-pgbuild
|koji-sles15-x86-64-pgdg-pgbuild
|
|http://initd.org/psycopg/
|http://initd.org/psycopg/
|
|python3-psycopg2-2.9.3-1.sles15
|python3-psycopg2-2.9.3-1.sles15
|
|1
|0
|

@julianov:

With Leap 15.3, the default version of “python3-psycopg2” is 2.8.5.
Please check the dependencies of the Leap 15.3 “pgadmin4” package – which, for Leap 15.3, should be version 4.30.